jueves, 11 de junio de 2009

Nuevo Driver Grafico de Intel para Ubuntu 9.04

Hace poco se comento en este blog sobre los problemas que tenían algunos usuarios de Ubuntu 9.04 con los drivers (controladores) tráficos de Intel. A pesar de que el manejo de Intel con respecto a los drivers es un ejemplo de open source, la aceleracion 2D y 3D ha tenido problemas. La razón es la que ya se comento en el post, un problema con el KMS (Kernel Mode Setting) del kernel 2.6.28 con la nueva arquitectura aceleración UXA que reemplaza a EXA y además el nuevo GEM (Graphics Execution Manager) de Intel.

La solución podría venir en el driver 2.7.99.1 de Intel. El aun algo inestable driver de 2D podría arreglar la mayoría de los problemas del chip, con la versión estable de la versión 9.10 de Ubuntu.

La gente de Canonical menciona que los usuarios de Jaunty tienen la ventaja de la instalación del kernel 2.6.30 para resolver este problema. Los paquetes fuente de Ubuntu están en la pagina web kernel.ubuntu.com. Se sugiere que se active el modulo UXA en el archivo xorg.conf, pero no KMS, el cual esta desactivado por defecto. Para activar el modulo UXA, usa Option AccelMethod "EXA" en la sección "Device" en /etc/x11/xorg.conf.

Instalando el driver 2D actualizado debería, sin embargo, estar acompañado con la versión estable del driver 2.7.1 que puedes obtener desde PPA. El paquete fuente es xserver-xorg-video-intel. Cuidado, ya que el manipuleo de Xorg puede tener efectos secundarios adversos, así que como siempre se recomienda deberías hacer un backup de los archivos originales.

Fuente.

2 comentarios:

Enrique Callejas - Col. dijo...

Es cierto, tengo una board intel 865 gbf uso el video incorporado, instale ubuntu 9.04 y no tengo aceleracion grafica.

Es un verdadero problema el del video de intel en linux. Ni siquiera el juego del pinguino que baja por una montaña funciona bien, pues lo hace super leeeento .

En la pagina de intel, hay drivers para red hat, y para novell, pero ubuntu nada.

Daniel Cabrera dijo...

Definitivamente es un problema el de los drivers de Intel con Ubuntu, aunque según comenta ya se esta solucionando, quizás seria mejor que instales la versión 8.10 de Ubuntu hasta que tengas solución al problema.

Saludos.